# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['hashwd']

package_data = \
{'': ['*']}

install_requires = \
['argparse>=1.4,<2.0', 'pyperclip>=1.8,<2.0', 'requests>=2.24,<3.0']

entry_points = \
{'console_scripts': ['hashwd = hashwd.__main__:main']}

setup_kwargs = {
    'name': 'hashwd',
    'version': '0.4.909',
    'description': 'Quickly generate a strong, random password using common words',
    'long_description': 'hashwd\n\nIntroduction\nhashwd is a command-line application that generates strong, random passwords using a list of words and optional numbers and symbols. The password is generated by randomly selecting words from a dictionary file, capitalizing one of the words, and adding optional numbers and symbols at the beginning or end of the password.\n\n\nCommands\ngenerate: generates a new password using the default or custom parameters\nclear: clears the OS clipboard\nArguments\n-h, --help: Show the help message and exit\n-d, --default: Use default values for number of words, numbers, and symbols\n-w, --words: Number of words in the password (must be between 1 and 99)\n-n, --numbers: Number of numbers in the password (must be between 0 and 9)\n-s, --symbols: Number of symbols in the password (must be between 0 and 9)\n-c, --copy: Copy the password to the clipboard\n-S, --show: Print the password to the console\n-P, --prompt: Prompt for number of words, numbers, and symbols\n\n\nUsage\nTo use the script, run the following command in the terminal:\npython hashwd.py generate [-h] [-d] [-w W] [-n N] [-s S] [-c] [-S] [-P] [-C]\n\nGenerate a password with the default number of words, numbers, and symbols:\npython hashwd.py generate\n\nGenerate a password with 5 words, 2 numbers, and 3 symbols:\npython hashwd.py generate -w 5 -n 2 -s 3\n\nGenerate a password and prompt for the number of words, numbers, and symbols. Additionally, print the password to the terminal and copy it to the clipboard automatically:\npython hashwd.py -PSc\n\nClear the clipboard:\npython hashwd.py clear\n\n\nRequirements\nPython 3\npyperclip (for copying the password to the clipboard)\nrequests\nargparse\nrandom\n\n\nLicense\nhashwd is released under the GNU General Public License v3.0.\n\nCredits\nhashwd was developed by Jordan Langland, 2023.',
    'author': 'Jordan Langland',
    'author_email': 'root@gnom.me',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'https://pypi.org/project/hashwd/',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.6,<4.0',
}


setup(**setup_kwargs)
